Bug 1550122 (CVE-2018-1063) - CVE-2018-1063 policycoreutils: Relabelling of symbolic links in /tmp and /var/tmp change the context of their target instead
Summary: CVE-2018-1063 policycoreutils: Relabelling of symbolic links in /tmp and /var...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1063
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180228,reported=2...
Depends On:
Blocks: 1498774 1545726
TreeView+ depends on / blocked
 
Reported: 2018-02-28 14:44 UTC by Richard Maciel Costa
Modified: 2019-06-08 22:43 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Context relabeling of filesystems is vulnerable to symbolic link attack, allowing a local, unprivileged malicious entity to change the SELinux context of an arbitrary file to a context with few restrictions. This only happens when the relabeling process is done, usually when taking SELinux state from disabled to enable (permissive or enforcing).
Clone Of:
Environment:
Last Closed: 2018-03-02 16:30:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0913 None None None 2018-04-10 08:34:38 UTC

Description Richard Maciel Costa 2018-02-28 14:44:16 UTC
policycoreutils was found to be vulnerable to a symlink attack that allows an local user to change the SELinux context of arbitrary files. This issue only occurs at relabeling time, through symlinks present in the /tmp and /var/tmp directories.

Comment 1 Richard Maciel Costa 2018-02-28 14:44:19 UTC
Mitigation:

Remove any symbolic links from /tmp and /var/tmp directories before relabeling the file system.

Comment 6 Richard Maciel Costa 2018-03-01 15:09:30 UTC
Acknowledgments:

Name: Renaud Métrich (Red Hat)

Comment 10 errata-xmlrpc 2018-04-10 08:34:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0913 https://access.redhat.com/errata/RHSA-2018:0913


Note You need to log in before you can comment on or make changes to this bug.